{output}: Get full compound record

API: nih.gov:pubchem-api
Endpoint: /pug/compound/cid/{cid}/record/{output}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 424ms

Description

Retrieve the complete compound record including atoms, bonds, coordinates, and properties.

Parameters (2)

cid (string, path, required)

PubChem Compound ID(s). Multiple CIDs can be comma-separated.

output (string, path, required)

Output format

Constraints: {'enum': ['JSON', 'XML']}

Examples (1)

Get full compound record openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/record/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/record/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem")
result = api.fetch("pug/compound/cid/{cid}/record/{output}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/cid/2244/record/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:31:27.877917 200 424ms
2026-04-15 01:49:21.277381 200 395ms
2026-04-14 03:26:39.097584 200 407ms
2026-04-12 14:02:56.416340 200 495ms
2026-04-10 02:46:23.228401 200 563ms
2026-04-09 01:54:39.270188 200 382ms